import { ServerLogDto } from "../../../fd-toolbox-core/server/logging/server-log-dto";
/** To do: add docs */
export declare function logInfo(message: string): void;
export declare function logDebug(message: string): void;
/** @monorepo-internal */
export declare function logWarning(message: string): void;
/** To do: add docs */
export declare function logError(message: string, error?: Error | unknown): void;
/** @monorepo-internal */
export declare function logNextJsMessage(method: string, url: string, status: string): void;
/** @monorepo-internal */
export declare function log(logDto: ServerLogDto, error?: Error | unknown): void;
